<?php

namespace App\Modules\Tour\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Response;

class ListTourResponses implements Response
{

    private array $data;

    public function __construct(ListTourResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
